ripley/src/RipleyDomain.h File Reference
`#include <ripley/Ripley.h>`
`#include <ripley/AbstractAssembler.h>`
`#include <ripley/RipleyException.h>`
`#include <escript/AbstractContinuousDomain.h>`
`#include <escript/Data.h>`
`#include <escript/FunctionSpace.h>`
`#include <escript/SubWorld.h>`
`#include <boost/python/list.hpp>`
`#include <boost/python/tuple.hpp>`

Go to the source code of this file.

## Classes

struct | ripley::ReaderParameters
| Structure that wraps parameters for the grid reading routines. More...
struct | ripley::DiracPoint
| A struct to contain a dirac point's information. More...
class | ripley::RipleyDomain
| RipleyDomain extends the AbstractContinuousDomain interface for the Ripley library and is the base class for Rectangle and Brick. More...

## Namespaces

| ripley

## Enumerations

enum | ripley::assembler_t { ripley::DEFAULT_ASSEMBLER, ripley::WAVE_ASSEMBLER, ripley::LAME_ASSEMBLER }
enum | ripley::SystemMatrixType { ripley::SMT_PASO = 1<<8, ripley::SMT_CUSP = 1<<9, ripley::SMT_TRILINOS = 1<<10, ripley::SMT_SYMMETRIC = 1<<15, ripley::SMT_COMPLEX = 1<<16, ripley::SMT_UNROLL = 1<<17 }
enum | ripley::DecompositionPolicy { ripley::DECOMP_ADD_ELEMENTS, ripley::DECOMP_EXPAND, ripley::DECOMP_STRICT }